Package com.google.android.exoplayer2.source.hls.playlist

## Class HlsMediaPlaylist.Part

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.SegmentBase
  - - com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.Part

- All Implemented Interfaces:
    `Comparable<Long>`
  Enclosing class:
    HlsMediaPlaylist

      public static final class HlsMediaPlaylist.Part
      extends HlsMediaPlaylist.SegmentBase

  A media part.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isIndependent` | Whether the part is independent.
    `boolean` | `isPreload` | Whether the part is a preloading part.

    - ### Fields inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.SegmentBase

      `byteRangeLength, byteRangeOffset, drmInitData, durationUs, encryptionIV, fullSegmentEncryptionKeyUri, hasGapTag, initializationSegment, relativeDiscontinuitySequence, relativeStartTimeUs, url`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Part​(String url, HlsMediaPlaylist.Segment initializationSegment, long durationUs, int relativeDiscontinuitySequence, long relativeStartTimeUs, DrmInitData drmInitData, String fullSegmentEncryptionKeyUri, String encryptionIV, long byteRangeOffset, long byteRangeLength, boolean hasGapTag, boolean isIndependent, boolean isPreload)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HlsMediaPlaylist.Part` | `copyWith​(long relativeStartTimeUs, int relativeDiscontinuitySequence)` |

    - ### Methods inherited from class com.google.android.exoplayer2.source.hls.playlist.HlsMediaPlaylist.SegmentBase

      `compareTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isIndependent

          public final boolean isIndependent

      Whether the part is independent.

    - #### isPreload

          public final boolean isPreload

      Whether the part is a preloading part.

  - ### Constructor Detail

    - #### Part

          public Part​(String url,
                      @Nullable
                      HlsMediaPlaylist.Segment initializationSegment,
                      long durationUs,
                      int relativeDiscontinuitySequence,
                      long relativeStartTimeUs,
                      @Nullable
                      DrmInitData drmInitData,
                      @Nullable
                      String fullSegmentEncryptionKeyUri,
                      @Nullable
                      String encryptionIV,
                      long byteRangeOffset,
                      long byteRangeLength,
                      boolean hasGapTag,
                      boolean isIndependent,
                      boolean isPreload)

      Creates an instance.
      Parameters:
        `url` - See `HlsMediaPlaylist.SegmentBase.url`.
        `initializationSegment` - See `HlsMediaPlaylist.SegmentBase.initializationSegment`.
        `durationUs` - See `HlsMediaPlaylist.durationUs`.
        `relativeDiscontinuitySequence` - See `HlsMediaPlaylist.SegmentBase.relativeDiscontinuitySequence`.
        `relativeStartTimeUs` - See `HlsMediaPlaylist.SegmentBase.relativeStartTimeUs`.
        `drmInitData` - See `HlsMediaPlaylist.SegmentBase.drmInitData`.
        `fullSegmentEncryptionKeyUri` - See `HlsMediaPlaylist.SegmentBase.fullSegmentEncryptionKeyUri`.
        `encryptionIV` - See `HlsMediaPlaylist.SegmentBase.encryptionIV`.
        `byteRangeOffset` - See `HlsMediaPlaylist.SegmentBase.byteRangeOffset`.
        `byteRangeLength` - See `HlsMediaPlaylist.SegmentBase.byteRangeLength`.
        `hasGapTag` - See `HlsMediaPlaylist.SegmentBase.hasGapTag`.
        `isIndependent` - See `isIndependent`.
        `isPreload` - See `isPreload`.

  - ### Method Detail

    - #### copyWith

          public HlsMediaPlaylist.Part copyWith​(long relativeStartTimeUs,
                                                int relativeDiscontinuitySequence)